Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: Как установить libreoffice 4.2.8 вручную?  (Прочитано 1046 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн timur73_73

  • Автор темы
  • Активист
  • *
  • Сообщений: 634
  • йа
    • Просмотр профиля
Как установить libreoffice 4.2.8 вручную?
« : 29 Январь 2018, 20:28:20 »
Имется Ubuntu 14.04 amd64 c XFCE. Обновляя Chrome случайно обновил и Libreoffice до 5.4.4. А он не работает (а при запуске через консоль пишет ошибку
Цитировать
WARNING **: require a newer gtk than 3.10 for theme expectations
Установка libreoffice-gtk3 проблему не решило. Решил откатиться обратно до 4.2.8? Но synaptic начинается ругаться на совместимость пакетов и патом криво удаляется. Поэтому вопрос, как правильнее установить вручную версию 4.2.8?  (Мне кажется что с использованием команды "sudo dpkg -i *.deb", но могу и ошибаться).
P.S. Всё-таки решился, скачал архивы основного пакета, языкового пакетов, пакета помощи и sdk. Распаковал в отдельные папки и далее в этих папках в подпапках DEBS запустил команду sudo dpkg -i *.deb, причем в той последовательности пакетов, что я указал (иначе help не встаёт). Так что можно сказать вопрос частично решён (частично - потому что я так и не понял, почему через synaptic у меня не вышло понизить версию)
« Последнее редактирование: 29 Январь 2018, 21:22:25 от timur73_73 »
Runtu 14.04.2 LTS х64, XFCE 4, 2x Intel(R) Core(TM)2 Duo CPU E6550 2.33GHz, RAM 4Gb, GeForce 210/PCIe/SSE2 512Mb

Оффлайн ol_denkin

  • Активист
  • *
  • Сообщений: 475
  • не то, что вы думаете
    • Просмотр профиля
Re: Как установить libreoffice 4.2.8 вручную?
« Ответ #1 : 29 Январь 2018, 23:01:02 »
потому что зависимости. судя по тому что
Цитировать
случайно обновил и Libreoffice до 5.4.4
репозиторий для Libreoffice Fresh подключил.

Оффлайн timur73_73

  • Автор темы
  • Активист
  • *
  • Сообщений: 634
  • йа
    • Просмотр профиля
Re: Как установить libreoffice 4.2.8 вручную?
« Ответ #2 : 30 Январь 2018, 00:53:12 »
Репозиторий вроде не обновлял, там только ppa.launchpad.net/libreoffice/ppa/ubuntu trusty main
Runtu 14.04.2 LTS х64, XFCE 4, 2x Intel(R) Core(TM)2 Duo CPU E6550 2.33GHz, RAM 4Gb, GeForce 210/PCIe/SSE2 512Mb

Оффлайн DoctorRover

  • Модератор раздела
  • Старожил
  • *
  • Сообщений: 1825
  • Ubuntu 20.04 LTS, Ubuntu 20.10
    • Просмотр профиля
Re: Как установить libreoffice 4.2.8 вручную?
« Ответ #3 : 30 Январь 2018, 10:03:14 »
timur73_73, всё правильно, это и есть репозиторий "LibreOffice Fresh". В нём для Trusty сейчас как раз версия 5.4.4 находится.
https://launchpad.net/~libreoffice/+archive/ubuntu/ppa?field.series_filter=trusty
You're never too old to Rock'n'Roll if you're too young to die.

Оффлайн timur73_73

  • Автор темы
  • Активист
  • *
  • Сообщений: 634
  • йа
    • Просмотр профиля
Re: Как установить libreoffice 4.2.8 вручную?
« Ответ #4 : 30 Январь 2018, 21:22:00 »
Понял, а репо Libreoffice НЕ fresh для trusty случаем нету?
Runtu 14.04.2 LTS х64, XFCE 4, 2x Intel(R) Core(TM)2 Duo CPU E6550 2.33GHz, RAM 4Gb, GeForce 210/PCIe/SSE2 512Mb

Оффлайн ol_denkin

  • Активист
  • *
  • Сообщений: 475
  • не то, что вы думаете
    • Просмотр профиля

Оффлайн DoctorRover

  • Модератор раздела
  • Старожил
  • *
  • Сообщений: 1825
  • Ubuntu 20.04 LTS, Ubuntu 20.10
    • Просмотр профиля
Re: Как установить libreoffice 4.2.8 вручную?
« Ответ #6 : 30 Январь 2018, 23:57:00 »
Могу предложить попробовать вот что. Если проблема версии 5.4.4 была связана с GTK3, то попробуйте запустить с GTK2.
Для этого надо удалить пакет libreoffice-gtk3 и установить libreoffice-gtk2. Возможно, что на старую версию откатываться не понадобится.
You're never too old to Rock'n'Roll if you're too young to die.

Оффлайн timur73_73

  • Автор темы
  • Активист
  • *
  • Сообщений: 634
  • йа
    • Просмотр профиля
Re: Как установить libreoffice 4.2.8 вручную?
« Ответ #7 : 31 Январь 2018, 22:46:06 »
Могу предложить попробовать вот что. Если проблема версии 5.4.4 была связана с GTK3, то попробуйте запустить с GTK2.
Для этого надо удалить пакет libreoffice-gtk3 и установить libreoffice-gtk2. Возможно, что на старую версию откатываться не понадобится.
Хорошо, попробую, как только будет чуток свободного времени. По результатам отпишусь.
Runtu 14.04.2 LTS х64, XFCE 4, 2x Intel(R) Core(TM)2 Duo CPU E6550 2.33GHz, RAM 4Gb, GeForce 210/PCIe/SSE2 512Mb

 

Страница сгенерирована за 0.1 секунд. Запросов: 24.